package main;

import syntaxtree.*;
import visitor.*;



	public class Main {
	   public static void main(String [] args) {   
		   Program root;
		   try {
			    //from standard input
			    if (args.length == 0) 
				root = new MiniJavaParser(System.in).Goal();
			    //from file i.e arg[0]
			    else {
				try { root = new MiniJavaParser
				    (new java.io.FileInputStream(args[0])).Goal();
				    
				} 
			    catch (java.io.FileNotFoundException e)
				    {
					System.err.println("Unable to read file " + args[0] );
					return;
				    }
			    }

			    System.out.println("Parsing completed");
				root.accept(new PrettyPrintVisitor(), 
						    PrettyPrintVisitor.DEFAULT_INITIAL_INDENTATION);
			}
			catch (ParseException e){
			    System.err.println (e.toString() );
			    return;
			}
			
		      
	   }
		
}	
