
package syntaxtree;

import visitor.GenVisitor;

public class Call extends Exp {

   public Exp e;
   public Identifier i;
   public ExpList el;

   public Call(Exp ae, Identifier ai, ExpList ael) {
      e = ae;
      i = ai;
      el = ael;
   }

   public <A, R> R accept(GenVisitor<A, R> v, A a) {
      return v.visit(this, a);
   }
}
