package syntaxtree;
import visitor.GenVisitor;
import main.Token;

public class Identifier {
  public String s;
  public int beginLine, beginColumn, endLine, endColumn;

  public Identifier(Token tok) {
		s            = tok.image;
		beginLine    = tok.beginLine;
		beginColumn  = tok.beginColumn;
		endLine      = tok.endLine;
		endColumn    = tok.endColumn;
	}
  


  public <A,R> R accept(GenVisitor<A, R> v, A a) {
   return v.visit(this, a);
 }

  public String toString(){
    return s;
  }
}
